root = true

#### .NET Coding Conventions ####
# C# files
[*.cs]
dotnet_diagnostic.IDE1006.severity = warning
dotnet_diagnostic.IDE0005.severity = error
dotnet_diagnostic.CA5394.severity = none

# Exclude generated code
[src/**/Migrations/*.cs]
generated_code = true
dotnet_analyzer_diagnostic.severity = none

#### Core EditorConfig Options ####
[*]
# Indentation and spacing
indent_style = space
indent_size = 4
charset = utf-8
trim_trailing_whitespace = true
